%define upstream_name    Thread-SigMask
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Thread specific signal masks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Thread/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl-devel

%description
This module provides per-thread signal masks. On non-threaded perls it will
be effectively the same as POSIX::sigprocmask. The interface works exactly
the same as sigprocmask.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc INSTALL LICENSE META.json Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-9.mga6
+ Revision: 1035191
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.4.0-8.mga6
+ Revision: 958128
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.4.0-7.mga6
+ Revision: 845359
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.4.0-6.mga6
+ Revision: 841414
- Rebuild for perl 5.22

* Sat Oct 18 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 788053
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 742947
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 686678
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.4.0-2.mga5
+ Revision: 631814
- Rebuild for perl 5.20

* Fri Apr 18 2014 jquelin <jquelin> 0.4.0-1.mga5
+ Revision: 616338
- imported package perl-Thread-SigMask


* Fri Apr 18 2014 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
